package whiteship.crud.domain.service {
	
	import org.springextensions.actionscript.core.operation.IOperation;
	import whiteship.crud.domain.Todo;

	public interface ITodoService {

		/**
		 * Returns all todos.
		 *
		 * @return
		 */
		function getTodos():IOperation;

		/**
		 * Saves the given todo.
		 *
		 * @param todo
		 * @return
		 */
		function saveTodo(todo:Todo):IOperation;

		/**
		 * Deletes the given todo.
		 *
		 * @param todo
		 * @return
		 */
		function deleteTodo(todo:Todo):IOperation;

	}
}